(* ::Package:: *)

(* ::Title:: *)
(*Two-Region World*)


(* ::Subtitle:: *)
(*Max. Utility of Gen. 1 in South*)


(* ::Subsubtitle:: *)
(*Mathematica 8*)
(*Version 0.1 February 2014*)


(* ::Subsubsection:: *)
(*Definitions*)


ClearAll[
	acc,\[Rho],\[Rho]\[Rho],g,gg,RayParam,vn,pi,pc,vl,vc,qn,qk,c1a,c1b,c1c,c1d,c2a,c2b,c2c,c2d,c3a,c3b,c3c,c3d,c4a,c4b,c5a,c5b,c5c,c5d,c6a,c6b,c6c,c6d,c6e,c7a,c7b,c7c,c8a,c8b,
	SkN1, SkS1, Sk2, SnN1, SnS1, Sn2,iN1, iS1, iN2, iS2,cN1, cS1, cN2, cS2,eN1, eS1, eN2, eS2,
	xlN1,xcN1, xeN1, xnN1,xlS1, xcS1, xeS1,xnS1, xlN2, xcN2, xe2, xnN2,xlS2, xcS2, xnS2, T1, T2,\[CapitalLambda]S1,c3,xl3,Sn3,output,
	uN1,uN2,uN3,uN4,uS1,uS2,uS3,uS4,primalconst,upathline,upath,totalE,percapitaE,stockflows,labor]; 
acc=15; (* accuracy level *)
Off[NMaximize::incst];


(* ::Text:: *)
(*Growth factors*)


\[Rho]=(1+\[Rho]annum)^25-1;
\[Rho]\[Rho]=1+\[Rho];
g=(1+\[Rho])^(1/(\[Alpha]c+\[Alpha]l+\[Alpha]n))-1;
gg=1+g;


(* ::Text:: *)
(*Steady-state ray*)


RayParam={
	vn = (g + \[Delta]n)/k3,
	pi = (g + \[Delta]k)/k2,
	pc = (1 - (1 - \[Delta]k)/k4)*((1 + g)/(k2*\[Theta]k)) - pi,
	vl = (1 - (1 - \[Delta]n)/k4)*(\[Alpha]l/k3)*(pc/(\[Alpha]c*\[Theta]n*(pc + pi) + \[Alpha]n*pc))*(1 + g), 
	vc = (1 - (1 - \[Delta]n)/k4)*((\[Alpha]c*\[Theta]c)/k3)*((pc + pi)/(\[Alpha]c*\[Theta]n*(pc + pi) + \[Alpha]n*pc))*(1 + g),
	qn = (k4 - (1 + g))/(vl + vn + vc),
	qk = ((k1*vc^\[Theta]c)/(pc + pi))^(1/(\[Theta]c + \[Theta]n))(1 + g)^((\[Theta]k + \[Theta]n)/(\[Theta]c + \[Theta]n))*qn*eWstar^(\[Theta]e/(\[Theta]n + \[Theta]c))*Smstar^(\[Theta]m/(\[Theta]n + \[Theta]c))}; 


(* ::Subsubsection:: *)
(*Constraints*)


Which[CFlows==0,T1=T2=0,
	  CFlows==1,ClearAll[T1,T2],
	  True, Print["Please choose CFlows\[Element]{0,1}"];Quit[]
	  ];
c1a=(1-\[Delta]k)*SkN0*NN0/NN1+k2*iN1-SkN1;
c1b=(1-\[Delta]k)*SkN1*NN1/NN2+k2*iN2-Sk2;
c1c=(1-\[Delta]k)*SkS0*NS0/NS1+k2*iS1-SkS1;
c1d=(1-\[Delta]k)*SkS1*NS1/NS2+k2*iS2-Sk2;
c2a=(1-\[Delta]n)*SnS0*NS0/NS1+k3*xnS1+k3d*(SnN0-SnS0)*xnS1-SnS1;
c2b=(1-\[Delta]n)*SnS1*NS1/NS2+k3*xnS2+k3d*(SnN1-SnS1)*xnS2-Sn2;
c2c=(1-\[Delta]n)*SnN0*NN0/NN1+k3*xnN1-SnN1;
c2d=(1-\[Delta]n)*SnN1*NN1/NN2+k3*xnN2-Sn2;
c3a=\[Xi]*xeN0*NN0/NN1-xlN1-xcN1-xeN1-xnN1;
c3b=\[Xi]*xeN1*NN1/NN2-xlN2-xcN2-xe2-xnN2;
c3c=\[Xi]*xeS0*NS0/NS1-xlS1-xcS1-xeS1-xnS1;
c3d=\[Xi]*xeS1*NS1/NS2-xlS2-xcS2-xe2-xnS2;
c4a=e1-NN1/(NN1+NS1)*eN1-NS1/(NN1+NS1)*eS1;
c4b=e2-NN2/(NN2+NS2)*eN2-NS2/(NN2+NS2)*eS2;
c5a=-T1+k1*xcN1^\[Theta]c*SkN1^\[Theta]k*SnN1^\[Theta]n*eN1^\[Theta]e*Sm1^\[Theta]m-cN1-iN1;
c5b=-T2+k1*xcN2^\[Theta]c*Sk2^\[Theta]k*Sn2^\[Theta]n*eN2^\[Theta]e*Sm2^\[Theta]m-cN2-iN2;
c5c=T1*NN1/NS1+k1*xcS1^\[Theta]c*SkS1^\[Theta]k*SnS1^\[Theta]n*eS1^\[Theta]e*Sm1^\[Theta]m-cS1-iS1;
c5d=T2*NN2/NS2+k1*xcS2^\[Theta]c*Sk2^\[Theta]k*Sn2^\[Theta]n*eS2^\[Theta]e*Sm2^\[Theta]m-cS2-iS2;
c6a=cN1^\[Alpha]c*xlN1^\[Alpha]l*SnN1^\[Alpha]n*(Smhat-Sm1)^\[Alpha]m-(1+\[Rho])*uN0;
c6b=cN2^\[Alpha]c*xlN2^\[Alpha]l*Sn2^\[Alpha]n*(Smhat-Sm2)^\[Alpha]m-(1+\[Rho])*cN1^\[Alpha]c*xlN1^\[Alpha]l*SnN1^\[Alpha]n*(Smhat-Sm1)^\[Alpha]m;
c6c=cS1^\[Alpha]c*xlS1^\[Alpha]l*SnS1^\[Alpha]n*(Smhat-Sm1)^\[Alpha]m-\[CapitalLambda]S1;
c6d=cS2^\[Alpha]c*xlS2^\[Alpha]l*Sn2^\[Alpha]n*(Smhat-Sm2)^\[Alpha]m-(1+\[Rho])*cS1^\[Alpha]c*xlS1^\[Alpha]l*SnS1^\[Alpha]n*(Smhat-Sm1)^\[Alpha]m;
c6e=c3^\[Alpha]c*xl3^\[Alpha]l*Sn3^\[Alpha]n*(Smhat-Smstar)^\[Alpha]m-(1+\[Rho])*cN2^\[Alpha]c*xlN2^\[Alpha]l*Sn2^\[Alpha]n*(Smhat-Sm2)^\[Alpha]m;
c7a=Sk2-qk*xe2;
c7b=Sn2-qn*xe2;
c7c=Sn3-gg*qn*xe2;
c8a=c3-pc*qk*xe2;
c8b=xl3-vl*qn*xe2;


(* ::Subsubsection:: *)
(*Optimization Program*)


output=
Part[
	NMaximize[{\[CapitalLambda]S1,
		c1a>=0 && c1b>=0 && c1c>=0 && c1d>=0 &&
		c2a>=0 && c2b>=0 && c2c>=0 && c2d>=0 &&
		c3a>=0 && c3b>=0 && c3c>=0 && c3d>=0 &&
		c4a>=0 && c4b>=0 &&
		c5a>=0 && c5b>=0 && c5c>=0 && c5d>=0 &&
		c6a>=0 && c6b>=0 && c6c>=0 && c6d>=0 && c6e>=0 && 
		c7a==0 && c7b==0 && c7c==0 && 
		c8a==0 && c8b==0 &&
		SkN1>0&&SkS1>0&&Sk2>0&&SnN1>0&&SnS1>0&&Sn2>0&&
		iN1>0&&iS1>0&&iN2>0&&iS2>0&&cN1>0&&cS1>0&&cN2>0&&cS2>0&&eN1>0&&eS1>0&&eN2>0&&eS2>0&&
		xlN1>0&&xcN1>0&&xeN1>0&&xnN1>0&&xlS1>0&&xcS1>0&&xeS1>0&&xnS1>0&&xlN2>0&&xcN2>0&&xe2>0&&xnN2>0&&xlS2>0&&xcS2>0&&xnS2>0&&
		\[CapitalLambda]S1>0&& c3>0 && xl3>0 && Sn3>0}, 
		{SkN1, SkS1, Sk2, SnN1, SnS1, Sn2,
		iN1, iS1, iN2, iS2, 
		cN1, cS1, cN2, cS2, 
		eN1, eS1, eN2, eS2, 
		xlN1, xcN1, xeN1, xnN1, 
		xlS1, xcS1, xeS1, xnS1, 
		xlN2, xcN2, xe2, xnN2, 
		xlS2, xcS2, xnS2, 
		T1, T2,\[CapitalLambda]S1,c3,xl3,Sn3},
	Method->{"SimulatedAnnealing","Tolerance"->10^(-6),"PerturbationScale"->0.05},MaxIterations->500],
2];

Module[
	{txc3=vc*qn*xe2/.output,txn3=vn*qn*xe2/.output,txe3=(1+g)*xe2/.output,tSk3=(1+g)*qk*xe2/.output,ti3=pi Sk2/.output,txl3= xl3/.output},
	output=Flatten[Append[output,{xc3-> txc3,xn3-> txn3,xe3-> txe3,Sk3-> tSk3,i3-> ti3,x3-> txl3+txc3+txn3+txe3}]]];


(* ::Subsubsection:: *)
(*Tests*)


Print["TESTS"]
Print["Constraints evaluated at the solution"];
primalconst=Round[({
	{c1a,c1b,c1c,c1d},
	{c2a,c2b,c2c,c2d},
	{c3a,c3b,c3c,c3d},
	{c4a,c4b},
	{c5a,c5b,c5c,c5d},
	{c6a,c6b,c6c,c6d,c6e},
	{c7a,c7b,c7c},
	{c8a,c8b}}
	/.output)*10^5]/10.^5;

	tempfunc[x_,y_]:=Flatten[{x,y}];
Print[MapThread[tempfunc,{{"(1):","(2):","(3):","(4):","(5):","(6):","(7):","(8):"},primalconst}]//TableForm];
	ClearAll[tempfunc];

Print["\!\(\*SubsuperscriptBox[\(u\), \(1\), \(S\)]\)\[GreaterEqual](1+\[Rho])\!\(\*SubsuperscriptBox[\(u\), \(0\), \(S\)]\) \[DoubleLongLeftArrow] ",(\[CapitalLambda]S1-(1+\[Rho])*uS0>=0)/.output];


(* ::Subsubsection:: *)
(*Sustainable, Convergent Path*)


uN1= fu[cN1,xlN1,SnN1,Sm2]/.output;
uN2= fu[cN2,xlN2,Sn2,Sm2]/.output;
uN3= fu[c3,xl3,Sn3,Smstar]/.output;
uN4= \[Rho]\[Rho]*uN3;
uS1= fu[cS1,xlS1,SnS1,Sm2]/.output;
uS2= fu[cS2,xlS2,Sn2,Sm2]/.output;
uS3= fu[c3,xl3,Sn3,Smstar]/.output;
uS4= \[Rho]\[Rho]*uS3;

upathline=ListLinePlot[
	{{{0,uN0},{1,uN1},{2,uN2},{3,uN3},{4,uN4}},
	{{0,uS0},{1,uS1},{2,uS2},{3,uS3},{4,uS4}}},
	AxesLabel->{"\!\(\*StyleBox[\"Generations\",\nFontSize->14,\nFontSlant->\"Italic\"]\)","\!\(\*StyleBox[\"Utility\",\nFontSize->14]\)"},
	Mesh-> All,PlotStyle->{Directive[Thickness[.004],Gray],{AbsoluteThickness[2]}},PlotMarkers->{"\!\(\*StyleBox[\"N\",\nFontSize->14,\nFontWeight->\"Bold\"]\)","\!\(\*StyleBox[\"S\",\nFontSize->14,\nFontWeight->\"Bold\"]\)"}];

upath=
	Grid[
	SetAccuracy[{
		{"",SpanFromLeft,Column[{"NORTH","\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"t\", \"N\"],\nFontSlant->\"Italic\"]\)"},Alignment-> Center] ,
			Column[{"SOUTH","\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"t\", \"S\"],\nFontSlant->\"Italic\"]\)"},Alignment-> Center]},
		{"INITIAL","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=0",uN0,uS0},
		{"TRANSITION","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=1",
			Row[{uN1,"=",uN1/uN0,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"0\", \"N\"],\nFontSlant->\"Italic\"]\)"}],
			Row[{uS1,"=",uS1/uS0,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"0\", \"S\"],\nFontSlant->\"Italic\"]\)"}]},
		{SpanFromAbove,"\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=2",
			Row[{uN2,"=",uN2/uN1,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"1\", \"N\"],\nFontSlant->\"Italic\"]\)"}],
			Row[{uS2,"=",uS2/uS1,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"1\", \"S\"],\nFontSlant->\"Italic\"]\)"}]},
		{"STEADY STATE","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=3",
			Row[{uN3,"=",uN3/uN2,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"2\", \"N\"],\nFontSlant->\"Italic\"]\)"}],
			Row[{uS3,"=",uS3/uS2,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"2\", \"S\"],\nFontSlant->\"Italic\"]\)"}]},
		{SpanFromAbove,"\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=4",
			Row[{uN4,"=",uN4/uN3,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"3\", \"N\"],\nFontSlant->\"Italic\"]\)"}],
			Row[{uS4,"=",uS4/uS3,"\!\(\*StyleBox[SubsuperscriptBox[\"u\", \"3\", \"S\"],\nFontSlant->\"Italic\"]\)"}]}}
	,5],
	Spacings->{2,1},Frame->All,ItemStyle->"Text",Background->{{LightOrange,LightGray,None},{LightBlue,None}}
	]


(* ::Subsubsection:: *)
(*Emissions*)


totalE=
	Grid[
	SetAccuracy[{
		{"","Total Emissions (GtC)",SpanFromLeft},
		{"","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=0","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=1","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=2","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=3"},
		{"NORTH",e[1,0]*NN0/10^6,eN1*NN1/10^6,eN2* NN2/10^6,eWstar*NN2/10^6},
		{"SOUTH",e[2,0]*NS0/10^6,eS1*NS1/10^6,eS2* NS2/10^6,eWstar*NS2/10^6},
		{"WORLD",EW0,EW1,EW2,EWstar}
		}/.output
	,4],
	Alignment-> Center,Spacings->{2,1},Frame->All,ItemStyle->"Text",Background->{{LightGray,None},{LightBlue,None}}]

percapitaE=
	Grid[
	SetAccuracy[{
		{"","Emissions per capita (tC)",SpanFromLeft},
		{"","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=0","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=1","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=2","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\)=3"},
		{"NORTH",e[1,0],eN1,eN2,eWstar},
		{"SOUTH",e[2,0],eS1,eS2,eWstar},
		{"WORLD",eW0,eW1,eW2,eWstar}}/.output
	,4],
	Alignment-> Center,Spacings->{2,1},Frame->All,ItemStyle->"Text",Background->{{LightGray,None},{LightBlue,None}}]


(* ::Subsubsection:: *)
(*Economic Stocks and Flows*)


stockflows=
	Grid[
	SetAccuracy[{
		{"",SpanFromLeft,SpanFromLeft, 
			Column[{"Stock of","Physical"," Capital","\!\(\* StyleBox[SubsuperscriptBox[\"S\", \"t\", \"kJ\"], \"Text\",\nFontSlant->\"Italic\"]\)"},Alignment->Center],
			Column[{"Stock of","Knowledge","\!\(\* StyleBox[SubsuperscriptBox[\"S\", \"t\", \"nJ\"], \"Text\",\nFontSlant->\"Italic\"]\)"},Alignment->Center],
			Column[{"Human Capital","\!\(\* StyleBox[SubsuperscriptBox[StyleBox[\"x\", \"Text\"], \"t\", \"eJ\"], \"Text\",\nFontSlant->\"Italic\"]\)"},Alignment->Center],
			Column[{"Consumption","per Capita"," \!\(\* StyleBox[SubsuperscriptBox[\"c\", \"t\", \"J\"],\nFontSlant->\"Italic\"]\)"},Alignment->Center],
			Column[{"Consumption","per Capita","Growth","\!\(\* StyleBox[FractionBox[StyleBox[SubsuperscriptBox[\"c\", \"t\", \"J\"], \"Text\",\nFontSlant->\"Italic\"], SubsuperscriptBox[\"c\",  StyleBox[\"0\",\nFontSlant->\"Plain\"], \"J\"]], \"Text\",\nFontSlant->\"Italic\"]\)"},Alignment->Center],
			Column[{"Investment","per Capita","= \!\(\*StyleBox[SubsuperscriptBox[\"i\", \"t\", \"J\"],\nFontSlant->\"Italic\"]\)"},Alignment->Center]},
		{"North","INITIAL","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 0",SkN0,SnN0,xeN0,cN0,cN0/cN0,iN0},
		{SpanFromAbove,"TRANSITION","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 1",SkN1,SnN1,xeN1,cN1,cN1/cN0,iN1},
		{SpanFromAbove,SpanFromAbove,"\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 2",Sk2,Sn2,xe2,cN2,cN2/cN0,iN2},
		{SpanFromAbove,"STEADY STATE","\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 3",Sk3,Sn3,xe3,c3,c3/cN0,pi Sk2},
		{SpanFromAbove,"STEADY STATE","\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 4",Sk3*(1+g),Sn3*(1+g),xe3*(1+g),(1+g)*c3,((1+g)*c3)/cN0,(1+g)*pi Sk2},
		{"",SpanFromLeft},{"South","INITIAL","\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 0",SkS0,SnS0,xeS0,cS0,cS0/cS0,iS0},
		{SpanFromAbove,"TRANSITION","\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 1",SkS1,SnS1,xeS1,cS1,cS1/cS0,iS1},
		{SpanFromAbove,SpanFromAbove,"\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 2",Sk2,Sn2,xe2,cS2,cS2/cS0,iS2},
		{SpanFromAbove,"STEADY STATE","\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 3",Sk3,Sn3,xe3,c3,c3/cS0,pi Sk2}/.output,
		{SpanFromAbove,SpanFromAbove,"\!\(\* StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 4",Sk3*(1+g),Sn3*(1+g),xe3*(1+g),(1+g)*c3,((1+g)*c3)/cS0,(1+g)*pi Sk2}}/.output
	,4],
	Alignment->Center,Spacings->{2,1},Frame->All,ItemStyle->"Text",Background->{{LightGray,LightOrange,LightOrange,None},{LightBlue,None}}]


(* ::Subsubsection:: *)
(*Labor Allocation*)


Module[{
	xN1=xlN1+xcN1+xnN1+xeN1,
	xN2=xlN2+xcN2+xnN2+xe2,
	xS1=xlS1+xcS1+xnS1+xeS1,
	xS2=xlS2+xcS2+xnS2+xe2,
	fN1=f[xcN1,SkN1,SnN1,eN1,Sm1],
	fN2=f[xcN2,Sk2,Sn2,eN2,Sm2],
	fS1=f[xcS1,SkS1,SnS1,eS1,Sm1],
	fS2=f[xcS2,Sk2,Sn2,eS2,Sm2],
	f3=f[xc3,Sk3,Sn3,eWstar,Smstar]},
labor=
	Grid[
	SetAccuracy[{
		{"",SpanFromLeft,SpanFromLeft,"Labor allocation (fraction of total labor-leisure available)",SpanFromLeft,SpanFromLeft,SpanFromLeft,SpanFromLeft,SpanFromLeft,SpanFromLeft,Column[{"Labor allocation","(in efficiency units)"},Alignment->Center],SpanFromLeft},
		{"",SpanFromLeft,SpanFromLeft,
			Column[{"Education","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"eJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)"},Alignment->Center],
			Column[{"Knowledge","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"nJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)"},Alignment->Center],
			Column[{"Output","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"cJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)"},Alignment->Center],
			Column[{"Investment","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"cJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"i\", \"t\", \"J\"], \"Output\"], \"Text\"]\)"},Alignment->Center],
			Column[{"Consumption","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"cJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"c\", \"t\", \"J\"], \"Output\"], \"Text\"]\)"},Alignment->Center],
			Column[{"Net Exports","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"cJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)\!\(\*StyleBox[FractionBox[SubscriptBox[\"T\", \"t\"], \"Output\"], \"Text\"]\)"},Alignment->Center],
			Column[{"Leisure","\!\(\*StyleBox[FractionBox[SubsuperscriptBox[\"x\", \"t\", \"lJ\"], SubsuperscriptBox[\"x\", \"t\", \"J\"]], \"Text\"]\)"},Alignment->Center],
			Column[{"Education","\!\(\*StyleBox[SubsuperscriptBox[\"x\", \"t\", \"eJ\"], \"Text\"]\)"},Alignment->Center],
			Column[{"Knowledge","\!\(\*StyleBox[SubsuperscriptBox[\"x\", \"t\", \"nJ\"], \"Text\"]\)"},Alignment->Center],
			Column[{"Leisure","\!\(\*StyleBox[SubsuperscriptBox[\"x\", \"t\", \"lJ\"], \"Text\"]\)"},Alignment->Center]},
		{"North","INITIAL","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 0",{{xe[1,0],xn[1,0],xc[1,0],xc[1,0] i[1,0]/y[1,0],xc[1,0] c[1,0]/y[1,0],0,xl[1,0]}/x[1,0]},xe[1,0],xn[1,0],xl[1,0]}//Flatten,
		{SpanFromAbove,"TRANSITION","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 1",{{xeN1,xnN1,xcN1,xcN1 iN1/fN1,xcN1 cN1/fN1,xcN1 Max[T1,0.]/fN1,xlN1}/xN1},xeN1,xnN1,xlN1}/.output//Flatten,
		{SpanFromAbove,SpanFromAbove,"\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 2",{{xe2,xnN2,xcN2,xcN2 iN2/fN2,xcN2 cN2/fN2,xcN2 Max[T2,0.]/fN2,xlN2}/xN2},xe2,xnN2,xlN2}/.output//Flatten,
		{SpanFromAbove,"STEADY STATE","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 3",{{xe3,xn3,xc3,xc3 i3/f3,xc3 c3/f3,0,xl3}/x3},xe3,xn3,xl3}/.output//Flatten,
		{"South","INITIAL","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 0",{{xe[2,0],xn[2,0],xc[2,0],xc[2,0] i[2,0]/y[2,0],xc[2,0] c[2,0]/y[2,0],0,xl[2,0]}/x[2,0]},xe[2,0],xn[2,0],xl[2,0]}//Flatten,
		{SpanFromAbove,"TRANSITION","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 1",{{xeS1,xnS1,xcS1,xcS1 iS1/fS1,xcS1 cS1/fS1,xcS1 (Max[-T1,0.] NN1/NS1)/fS1,xlS1}/xS1},xeS1,xnS1,xlS1}/.output//Flatten,
		{SpanFromAbove,SpanFromAbove,"\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 2",{{xe2,xnS2,xcS2,xcS2 iS2/fS2,xcS2 cS2/fS2,xcS2 (Max[-T2,0.] NN2/NS2)/fS2,xlS2}/xS2},xe2,xnS2,xlS2}/.output//Flatten,
		{SpanFromAbove,"STEADY STATE","\!\(\*StyleBox[\"t\",\nFontSlant->\"Italic\"]\) = 3",{{xe3,xn3,xc3,xc3 i3/f3,xc3 c3/f3,0,xl3}/x3},xe3,xn3,xl3}/.output//Flatten}/.output
	,4],
	Alignment->Center,Spacings->{2,1},Frame->All,ItemStyle->"Text",Dividers -> {{4-> Thickness[3],11 -> Thickness[3]},{2-> Thickness[3],7 -> Thickness[3]}},Background->{{LightGray,LightOrange,LightOrange,None},{LightBlue,None}}]];


(* ::Text:: *)
(*\[Copyright] Llavador, Roemer, Silvestre 2014*)
